
Redmine - Patch #8383

Display subprojects as individual unordered list items on project overview

2011-05-17 08:30 - yusuke kokubo

Status: New Start date: 2011-05-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

please see patch.

Related issues:

Related to Redmine - Patch #29289: Wrap subprojects in the overview section w... Closed

Has duplicate Redmine - Feature #22122: Display Subprojects as a list in the ... Closed

History

#1 - 2011-05-17 09:17 - Etienne Massip

Please post a full description of what your patch does.

#2 - 2011-05-17 09:17 - Etienne Massip

- Category set to UI

#3 - 2011-06-06 11:04 - yusuke kokubo

- File before.jpg added

- File after.jpg added

Please post a full description of what your patch does.

 sorry. please see image.

#4 - 2012-03-24 21:38 - Klaus Adler

+1

#5 - 2013-01-08 16:04 - Maurizio Totti

+1

#6 - 2013-09-26 12:46 - Stanislav Shcherbakov

- File redmine.2.3.3.patch added

updated for redmine 2.3.3

#7 - 2013-10-01 08:26 - Stanislav Shcherbakov

- File show.html.erb.patch added

better patch mod.

#8 - 2013-10-18 19:46 - Luke van der Westhuyzen

+1 for subprojects as a bulleted list instead of comma delimited single line.

#9 - 2013-10-19 04:33 - Mischa The Evil

- Subject changed from make subprojects list more visible to Display subprojects as individual unordered list items on project overview
This can be unwanted for instances hosting projects with lots of subprojects, since it will produce a long list which increases page-scrolling for the

overview page a lot.

#10 - 2013-10-20 13:00 - yac yac

+1

#11 - 2013-10-20 16:04 - Maurizio Totti

+1 :-)

#12 - 2013-10-21 19:41 - Luke van der Westhuyzen

Mischa The Evil wrote:

This can be unwanted for instances hosting projects with lots of subprojects, since it will produce a long list which increases page-scrolling for

the overview page a lot.

 Perhaps the solution would be to allow admins to choose if Projects Overview uses bulleted lists or comma separated lists. This complicates the

patching a bit since it would require a new setting (in Settings > Display or Settings > Projects).

#13 - 2013-11-05 17:47 - Christoph Klesser

+1 for subprojects as a bulleted list instead of comma delimited single line. Preferably in alphanumerical order.

#14 - 2014-01-30 07:30 - Vikram Lele

+1 for subprojects as a bulleted list, ideally a settings option (Settings > Display or Settings > Projects)

#15 - 2014-02-14 15:30 - John Doran-Armstrong

+1! :)

#16 - 2014-04-16 15:32 - Luis Furtado

+1

include a way to list it using API.

#17 - 2016-08-05 01:09 - David  Taylor

+1 Even a per-project setting would be good, that way project managers can decide the best display for their project. Another option would be to use

a collapsible tree structure given that most sub projects are likely to be hierarchical.

#18 - 2018-07-29 16:48 - Go MAEDA

- Related to Patch #29289: Wrap subprojects in the overview section with an unordered list to improve customisation added

#19 - 2018-07-30 12:09 - Go MAEDA

- Has duplicate Feature #22122: Display Subprojects as a list in the project's Overview tab added

Files

0001-.patch 1.32 KB 2011-05-17 yusuke kokubo

before.jpg 30.6 KB 2011-06-06 yusuke kokubo

after.jpg 27.2 KB 2011-06-06 yusuke kokubo

redmine.2.3.3.patch 582 Bytes 2013-09-26 Stanislav Shcherbakov

show.html.erb.patch 557 Bytes 2013-10-01 Stanislav Shcherbakov
